Bug 176576 - SMP kernel-2.6.14-1.1653_FC4 crashes during initrd
SMP kernel-2.6.14-1.1653_FC4 crashes during initrd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 176586 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-26 17:44 EST by Gabriel Schulhof
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.15-1.1830_FC4smp
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 20:27:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel Schulhof 2005-12-26 17:44:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.12) Gecko/20051203

Description of problem:
After starting nash, the computer hangs for about 20 seconds, after which it crashes as below. I have tried adding sleep statements into the "init" script, as in bug #159769, but to no avail. Here're some middle-click results:

On the (null-modem serial) console:
Unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
*pde = 00423001
Oops: 0002 [#1]
SMP
Modules linked in: aic7xxx scsi_transport_spi sd_mod scsi_mod
CPU:    0
EIP:    0060:[<d886092b>]    Not tainted VLI
EFLAGS: 00010093   (2.6.14-1.1653_FC4smp)
EIP is at scsi_eh_done+0x39/0x6b [scsi_mod]
eax: d7115800   ebx: d7ec7cc0   ecx: c1307fe0   edx: 00000000
esi: 00000000   edi: d70cb100   ebp: d742ce00   esp: d74aadf4
ds: 007b   es: 007b   ss: 0068
Process scsi_eh_0 (pid: 330, threadinfo=d74aa000 task=d747c570)
Stack: d74aae00 00000001 d7e40070 00000000 d7e40070 d88c60e9 d88bbffb 00000041
       00000000 00000002 00000001 d88bf188 418cac6c 00000001 d74aae4c 00000000
       02000000 d7420302 00000001 00000041 00a205a0 00000080 00000001 00000002
Call Trace:
 [<d88c60e9>] ahc_linux_queue_cmd_complete+0x35/0x7e [aic7xxx]
 [<d88bbffb>] ahc_search_qinfifo+0x205/0x7bb [aic7xxx]
 [<d88bf188>] ahc_dump_card_state+0x11cc/0x12c4 [aic7xxx]
 [<d88c6ab3>] ahc_linux_queue_recovery_cmd+0x8a8/0xa52 [aic7xxx]
 [<c031b401>] __down+0xc8/0x12b
 [<c011c41e>] default_wake_function+0x0/0xc
 [<d88c3f71>] ahc_linux_abort+0xe/0x2b [aic7xxx]
 [<d8860a6b>] scsi_send_eh_cmnd+0x10e/0x1a8 [scsi_mod]
 [<d8860e33>] scsi_eh_tur+0x8e/0xf9 [scsi_mod]
 [<c0120b5a>] printk+0x1b/0x1f
 [<d8860f10>] scsi_eh_abort_cmds+0x72/0xf5 [scsi_mod]
 [<c031b67c>] _spin_unlock_irq+0x5/0x7
 [<c0319bdc>] schedule+0x53c/0xc83
 [<d8861bf1>] scsi_unjam_host+0x90/0x1db [scsi_mod]
 [<d8861d3c>] scsi_error_handler+0x0/0x12e [scsi_mod]
 [<d8861e33>] scsi_error_handler+0xf7/0x12e [scsi_mod]
 [<c0133a09>] kthread+0x93/0x97
 [<c0133976>] kthread+0x0/0x97
 [<c0101d4d>] kernel_thread_helper+0x5/0xb
Code: 85 c0 75 05 83 c4 10 5b c3 8b 83 a8 00 00 00 c7 40 3c fe ff 00 00 a1 80 e

/proc/cpuinfo:
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 5
model name      : Pentium II (Deschutes)
stepping        : 0
cpu MHz         : 334.153
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr
bogomips        : 669.53

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 5
model name      : Pentium II (Deschutes)
stepping        : 0
cpu MHz         : 334.153
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr
bogomips        : 668.26

lspci:
00:00.0 Host bridge: Intel Corporation 440LX/EX - 82443LX/EX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corporation 440LX/EX - 82443LX/EX AGP bridge (rev 03)
00:04.0 ISA bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 01)
00:04.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)
00:04.2 USB Controller: Intel Corporation 82371AB/EB/MB PIIX4 USB (rev 01)
00:04.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 01)
00:06.0 SCSI storage controller: Adaptec AIC-7880U
00:09.0 Multimedia audio controller: Ensoniq ES1370 [AudioPCI]
00:0a.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 4 / Voodoo 5 (rev 01)
00:0b.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev 30)
00:0c.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev 30)



Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4

How reproducible:
Always

Steps to Reproduce:
1. Install the above-mentioned kernel
2. Reboot
3. Enjoy the crash
  

Actual Results:  See above.

Expected Results:  Normal boot.

Additional info:
Comment 1 Pete Zaitcev 2005-12-27 01:10:17 EST
*** Bug 176586 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2006-02-03 00:19:34 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 Gabriel Schulhof 2006-02-03 20:27:54 EST
You're welcome.

The new kernel boots.

Note You need to log in before you can comment on or make changes to this bug.